Skip to main content
GET
/
ach
/
gateways
List All Gateway Configurations
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/ach/gateways \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/ach/gateways"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/ach/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "tenant": "abcdef_ghijkl",
    "created": "2010-05-06T12:23:34.321Z",
    "custom_headers": {
      "Content-Type": [
        "application/json",
        "text/html"
      ],
      "Host": [
        "https://host.com"
      ]
    },
    "disabled": false,
    "id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
    "max_wait_ms": 1500,
    "updated": "2010-05-06T12:23:34.321Z",
    "url": "https://fintech.com/ach/auth"
  }
]
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Gateway Configuration for Tenant

tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

created
string<date-time>

Time when Gateway Config object was created

Example:

"2010-05-06T12:23:34.321Z"

custom_headers
object

Optional parameter that allows to configure custom http headers for the Auth request to Gateway URL if needed

Example:
{
"Content-Type": ["application/json", "text/html"],
"Host": ["https://host.com"]
}
disabled
boolean
default:false

Indicates if the Gateway Config is active for Auth Flow for the current Fintech (Tenant)

id
string<uuid>

Identifier of the Gateway Config object

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

max_wait_ms
integer
default:1500

Shows maximum amount of time in milliseconds that we will wait for the response from Gateway URL Auth request

Required range: x >= 1
updated
string<date-time>

Time when Gateway Config object was updated

Example:

"2010-05-06T12:23:34.321Z"

url
string<url>

The URL address which will be used for the ACH in Auth Flow requests to get authorization from the fintech to process the transaction

Example:

"https://fintech.com/ach/auth"